%define LIBVER 4.1.0
%define LIBVERS 4
Summary: A library for manipulating GIF format image files.
Name: libungif
Version: 4.1.2
Release: 2
License: IBM_ILA
URL:	 http://sourceforge.net/projects/libungif/
Source0: http://sourceforge.net/projects/libungif/%{name}-%{version}.tar.bz2
Source1: IBM_ILA
Patch0:  libungif-4.1.2-shared_lib.patch
Group: System Environment/Libraries
BuildRoot: /var/tmp/libungif-root
Prefix: %{_prefix}
%define DEFCC cc

%description
The libungif package contains a shared library of functions for loading and
saving GIF format image files.  The libungif library can load any GIF file, but
it will save GIFs only in uncompressed format (i.e., it won't use the patented
LZW compression used to save "normal" compressed GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.

%package devel
Summary: Development tools for programs which will use the libungif library.
Group: Development/Libraries
%description devel
This package contains the static libraries, header files and documentation
necessary for development of programs that will use the libungif library to
load and save GIF format image files.
You'll also need to install the libungif package.

%package progs
Summary: Programs for manipulating GIF format image files.
Group: Applications/Multimedia
%description progs
The libungif-progs package contains various programs for manipulating GIF
format image files.  You'll also need to install the libungif package.

%prep
%setup -q 
%patch0 -p1

# Add license info
cat $RPM_SOURCE_DIR/IBM_ILA > LICENSE
cat COPYING >> LICENSE

# PATCH (on-the-fly): They added "-Wall" hardcoded, but this assumes only the
# the gcc compiler!
/usr/bin/perl -pi -e "s|-Wall||" lib/Makefile.am
/usr/bin/perl -pi -e "s|-Wall||" lib/Makefile.in
/usr/bin/perl -pi -e "s|-Wall||" util/Makefile.am
/usr/bin/perl -pi -e "s|-Wall||" util/Makefile.in

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       %define optflags -O2
    else 
       export CC=gcc
    fi
fi

%configure --disable-static --enable-shared
make all

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
{
  cd ${RPM_BUILD_ROOT}
  mkdir -p usr/lib || :
  mkdir -p usr/include || :
  mkdir -p usr/bin || :
  cd usr/lib
  ln -sf ../..%{_prefix}/lib/* .
  cd ../include
  ln -sf ../../%{_prefix}/include/* .
  cd ../bin
  ln -sf ../../%{_prefix}/bin/* .
}

/usr/bin/strip ${RPM_BUILD_ROOT}%{prefix}/bin/* || :

%ifarch ppc || %ifarch rs6000
( cd $RPM_BUILD_ROOT/%{prefix}/lib
  # Create a compatibility member to mitigate differences with Bull Freeware
  # offering
  COMPATMEMBER=libungif.so
  for lib in *.a
  do
    /usr/bin/dump -Tv $lib |/usr/bin/awk 'match($4,"EXP|Exp") { print $NF }' > tmp.exp
    libbase=`print $lib | sed  -e 's/.a$//' -e 's/^lib//'`
    ld -L. -bI:tmp.exp -bE:tmp.exp -l$libbase -bM:SRE -bnoentry -o $COMPATMEMBER
    /usr/bin/strip -e $COMPATMEMBER   # Make shr.o a load-only module
    /usr/bin/ar -r $lib $COMPATMEMBER
    rm -f $COMPATMEMBER tmp.exp
  done
)
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root)
%doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS LICENSE
/usr/lib/*
%{_prefix}/lib/*

%files devel
%defattr(-,root,root)
%doc doc/* LICENSE
%doc util/giffiltr.c
%doc util/gifspnge.c
/usr/include/*.h
%{_prefix}/include/*.h

%files progs
%defattr(-,root,root)
%doc LICENSE
%{_prefix}/bin/*
/usr/bin/*

%changelog
* Wed Apr 16 2025 Sangamesh Mallayya <smallayy@in.ibm.com> - 4.1.2-2
- Rebuild for AIX 7.1 using RPMv4.

* Fri Nov 22 2002 David Clissold <cliss@austin.ibm.com> 4.1.2-1
- Update to version 4.1.2

* Fri Nov 22 2002 David Clissold <cliss@austin.ibm.com>
- Add IBM ILA license.

* Wed Mar 07 2001 Marc Stephenson <marc@austin.ibm.com>
- Added Bull Freeware library compatibility member

* Wed Mar 07 2001 Marc Stephenson <marc@austin.ibm.com>
- Update to libtool 1.3.5a
- Add logic for default compiler

* Fri Feb 16 2001 aixtoolbox <aixtoollbox-l@austin.ibm.com>
- Account for different standard lib location in IA64 32-bit ABI

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com> 4.1.0-4
- Add giflibcvs-small2crash.patch, which changes lib/dgif_lib.c to be
whatever is currently in the libungif CVS, thus fixing bug number 9315.

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip libraries
- update URL
- some specfile tweaks

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Mar 14 1999 Preston Brown <pbrown@redhat.com>
- include libungif 4.1.0 as standard library, with 3.1.0 backwards compat.

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- call libtoolize to make sure it will build on the arm

* Sat Oct 31 1998 Jeff Johnson <jbj@redhat.com>
- package for RH 5.2.

* Mon Sep 14 1998 Arne Coucheron <arneco@online.no>
  [3.1.0-3]
- major cleanups and changes to the spec file

* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.
